# norootforbuild

%define name      amrnb
%define ver       7.0.0.2
%define rel       1
%define major     3
%define lib       libamrnb
%define libname   %{lib}%{major}

Name:           %{name}
Summary:        Adaptive Multi-Rate (AMR) Speech Codec
Summary(de):    Adaptiver Multi-Rate (AMR) Sprachcodec
Version:        %{ver}
Release:        2.2
License:        Commercial
Group:          System/Libraries
Url:            http://www.penguin.cz/~utx/amr

Source0:        amrnb-7.0.0.2.tar.bz2
Source1:        26104-700.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  wget
BuildRequires:  unzip

%description
Adaptive Multi-Rate Narrow-Band decoder and encoder library.
(3GPP TS 26.104 V 7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm

%description -l de
Adaptiver Multi-Rate schmalbandige decoding und encoding Bibliothek.
(3GPP TS 26.104 V 7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of amrnb
Summary(de):    Bibliotheken zu amrnb
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Adaptive Multi-Rate Narrow-Band decoder and encoder library.
Shared library part (3GPP TS 26.104 V 7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm


%description -n %{libname} -l de
Adaptiver Multi-Rate schmalbandige decoding und encoding Bibliothek.
Bibliotheken (3GPP TS 26.104 V 7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm


%package -n %{lib}-devel
Summary:        Adaptive Multi-Rate (AMR) Speech Codec Developer Package
Summary(de):    Adaptiver Multi-Rate (AMR) Sprachcodec Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel
Obsoletes:      amrnb-devel
Provides:       amrnb-devel
# Packmandepends: amrnb

%description -n %{lib}-devel
Adaptive Multi-Rate Narrow-Band decoder and encoder library,
Developer Package. (3GPP TS 26.104 V 6.1.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm

%description -n %{lib}-devel -l de
Adaptiver Multi-Rate schmalbandige decoding und encoding Bibliothek,
Entwicklerpaket. (3GPP TS 26.104 V 6.1.0)

http://www.3gpp.org/ftp/Specs/html-info/26104.htm

%debug_package

%prep
%setup
cp %{SOURCE1} .

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{makeinstall}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname}
%if 0%{?suse_version}
%{run_ldconfig}
%else
/sbin/ldconfig
%endif

%postun -n %{libname}
%if 0%{?suse_version}
%{run_ldconfig}
%else
/sbin/ldconfig
%endif

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO readme.txt
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr (-, root, root)
%{_includedir}/amrnb
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

